unit WorkshopUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, wiaTile, ExtCtrls;

type
  TWorkshop = class(TForm)
    Panel1: TPanel;
    wiaTile1: TwiaTile;
    BitBtn1: TBitBtn;
    Image: TwiaTile;
    Label1: TLabel;
    Label2: TLabel;
    SpeedButton1: TSpeedButton;
    colours: TColorDialog;
    Label3: TLabel;
    SpeedButton2: TSpeedButton;
    BitBtn2: TBitBtn;
    OpenDialog1: TOpenDialog;
    Mode: TListBox;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure ModeClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Workshop: TWorkshop;

implementation

{$R *.DFM}

procedure TWorkshop.SpeedButton1Click(Sender: TObject);
begin
   Colours.Color := Image.TranColor;
   If Colours.Execute then
      Image.TranColor := Colours.Color;
end;

procedure TWorkshop.SpeedButton2Click(Sender: TObject);
begin
   Colours.Color := Image.FadeColor;
   If Colours.Execute then
      Image.FadeColor := Colours.Color;
end;

procedure TWorkshop.BitBtn2Click(Sender: TObject);
begin
   If OpenDialog1.Execute then
   begin
      Image.Image.LoadFromFile (OpenDialog1.FileName);
   end;
end;

procedure TWorkshop.ModeClick(Sender: TObject);
begin
   Image.TileMode := TwiaTileMode (Mode.ItemIndex);
end;

end.
